package com.campus.activity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.campus.activity.dto.request.ReviewRequest;
import com.campus.activity.entity.Review;
import com.campus.activity.vo.ReviewVO;

public interface ReviewService {

    ReviewVO createReview(ReviewRequest request);

    IPage<ReviewVO> getActivityReviews(Page<Review> page, Long activityId);

    IPage<ReviewVO> getMyReviews(Page<Review> page);
}